PIPSocketAddressAndPort Class Reference

`#include <ipsock.h>`

## Public Member Functions

| PIPSocketAddressAndPort ()
| PIPSocketAddressAndPort (char separator)
| PIPSocketAddressAndPort (const PString &str, WORD defaultPort=0, char separator= ':')
PBoolean | Parse (const PString &str, WORD defaultPort=0, char separator= ':')
PString | AsString (char separator=0) const
void | SetAddress (const PIPSocket::Address &addr, WORD port=0)
const PIPSocket::Address & | GetAddress () const
WORD | GetPort () const
void | SetPort (WORD port)
bool | IsValid () const

## Protected Attributes

PIPSocket::Address | m_address
WORD | m_port
char | m_separator

## Friends

ostream & | operator<< (ostream &strm, const PIPSocketAddressAndPort &ap)

## Constructor & Destructor Documentation

PIPSocketAddressAndPort::PIPSocketAddressAndPort | ( |  | ) |

inline

PIPSocketAddressAndPort::PIPSocketAddressAndPort | ( | char | separator | ) |

inline

PIPSocketAddressAndPort::PIPSocketAddressAndPort | ( | const PString & | str,
|  | WORD | defaultPort = `0`,
|  | char | separator = `':'`
| ) |  |

inline

References m_separator, and Parse().

## Member Function Documentation

PString PIPSocketAddressAndPort::AsString | ( | char | separator = `0` | ) | const

inline

References PIPSocket::Address::AsString(), m_address, m_port, m_separator, and PString::Unsigned.

const PIPSocket::Address& PIPSocketAddressAndPort::GetAddress | ( |  | ) | const

inline

References m_address.

WORD PIPSocketAddressAndPort::GetPort | ( |  | ) | const

inline

References m_port.

bool PIPSocketAddressAndPort::IsValid | ( |  | ) | const

inline

References PIPSocket::Address::IsValid(), m_address, and m_port.

PBoolean PIPSocketAddressAndPort::Parse | ( | const PString & | str,
|  | WORD | defaultPort = `0`,
|  | char | separator = `':'`
| ) |  |

Referenced by PIPSocketAddressAndPort().

void PIPSocketAddressAndPort::SetAddress | ( | const PIPSocket::Address & | addr,
|  | WORD | port = `0`
| ) |  |

void PIPSocketAddressAndPort::SetPort | ( | WORD | port | ) |

inline

References m_port.

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const PIPSocketAddressAndPort & | ap
| ) |  |

friend

## Member Data Documentation

PIPSocket::Address PIPSocketAddressAndPort::m_address

protected

Referenced by AsString(), GetAddress(), and IsValid().

WORD PIPSocketAddressAndPort::m_port

protected

Referenced by AsString(), GetPort(), IsValid(), and SetPort().

char PIPSocketAddressAndPort::m_separator

protected

Referenced by AsString(), and PIPSocketAddressAndPort().

The documentation for this class was generated from the following file:

- ipsock.h